.. _object:

******
Object
******

.. _object-auditor:

Object Auditor
==============

.. automodule:: swift.obj.auditor
    :members:
    :undoc-members:
    :show-inheritance:

.. _object-diskfile:

Object Backend
==============

.. automodule:: swift.obj.diskfile
    :members:
    :undoc-members:
    :show-inheritance:

.. _object-replicator:

Object Replicator
=================

.. automodule:: swift.obj.replicator
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: swift.obj.ssync_sender
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: swift.obj.ssync_receiver
    :members:
    :undoc-members:
    :show-inheritance:

.. _object-server:

Object Server
=============

.. automodule:: swift.obj.server
    :members:
    :undoc-members:
    :show-inheritance:

.. _object-updater:

Object Updater
==============

.. automodule:: swift.obj.updater
    :members:
    :undoc-members:
    :show-inheritance:
